Go Back   HowtoForge Forums | HowtoForge - Linux Howtos and Tutorials > ISPConfig 3 > Installation/Configuration

Do you like HowtoForge? Please consider supporting us by becoming a subscriber.
Reply
 
Thread Tools Display Modes
  #1  
Old 24th June 2011, 18:18
aldo aldo is offline
HowtoForge Supporter
 
Join Date: Jan 2011
Posts: 92
Thanks: 33
Thanked 3 Times in 3 Posts
Default ClamAV upgrading problem (0.97 < 0.97.1)

ISPConfig 3 warn me with many:

Code:
Fri Jun 24 16:38:21 2011 -> --------------------------------------
Fri Jun 24 17:38:21 2011 -> Received signal: wake up
Fri Jun 24 17:38:21 2011 -> ClamAV update process started at Fri Jun 24 17:38:21 2011
Fri Jun 24 17:38:22 2011 -> WARNING: Your ClamAV installation is OUTDATED!
Fri Jun 24 17:38:22 2011 -> WARNING: Local version: 0.97 Recommended version: 0.97.1
Fri Jun 24 17:38:22 2011 -> DON'T PANIC! Read http://www.clamav.net/support/faq
Fri Jun 24 17:38:22 2011 -> main.cvd is up to date (version: 53, sigs: 846214, f-level: 53, builder: sven)
Fri Jun 24 17:38:22 2011 -> Downloading daily-13237.cdiff [100%]
Fri Jun 24 17:38:23 2011 -> daily.cld updated (version: 13237, sigs: 130894, f-level: 60, builder: sven)
Fri Jun 24 17:38:23 2011 -> bytecode.cld is up to date (version: 143, sigs: 40, f-level: 60, builder: edwin)
Fri Jun 24 17:38:24 2011 -> Database updated (977148 signatures) from db.local.clamav.net (IP: 213.92.8.5)
Fri Jun 24 17:38:24 2011 -> --------------------------------------
Following instructions on ClamAV site I added:
deb http://security.debian.org/ squeeze/updates main contrib non-free
to
/etc/apt/sources.list
and ran
apt-get update; apt-get install clamav

But the result is:
clamav is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

So I'm unable to upgrade from 0.97 to 0.97.1

Thanks for any help.
Reply With Quote
Sponsored Links
  #2  
Old 24th June 2011, 18:53
dimas dimas is offline
Senior Member
 
Join Date: Jul 2006
Posts: 125
Thanks: 7
Thanked 27 Times in 8 Posts
Default

On CentOS 5.6 I do the following:

yum update clamav clamav-db
(note the clamav-db part!)

then
/usr/bin/freshclam

and
sa-update
(for spam assassin)

On Debian it should be very similar - like, perhaps,
apt-get update clamav clamav-db
etc
Reply With Quote
  #3  
Old 24th June 2011, 23:31
aldo aldo is offline
HowtoForge Supporter
 
Join Date: Jan 2011
Posts: 92
Thanks: 33
Thanked 3 Times in 3 Posts
Default

Thank you Dimas.

I tried what suggested but apt-get update take no arguments.

I found this:
http://joshua14.homelinux.org/blog/?p=855

But I will try in two weeks.
Reply With Quote
  #4  
Old 25th June 2011, 10:28
falko falko is offline
Super Moderator
 
Join Date: Apr 2005
Location: Lüneburg, Germany
Posts: 41,701
Thanks: 1,900
Thanked 2,735 Times in 2,571 Posts
 
Default

From the ISPConfig 3 Manual:

Quote:
If you see the warning WARNING: Your ClamAV installation is OUTDATED! - this sounds more dramatic than it actually is, and it is usually not necessary to take any action. This just means that a newer ClamAV version is available than the one that is installed - your current version is still ok. It does not mean that the virus signature database is not up to date - it actually is, and protection is still guaranteed. You can check if your distribution offers an updated ClamAV package - if it does, you can install it, but if it doesn't, you should avoid installing ClamAV from the sources - wait until your distribution provides an updated package.
__________________
Falko
--
Download the ISPConfig 3 Manual! | Check out the ISPConfig 3 Billing Module!

FB: http://www.facebook.com/howtoforge

nginx-Webhosting: Timme Hosting | Follow me on:
Reply With Quote
The Following User Says Thank You to falko For This Useful Post:
aldo (3rd July 2011)
Reply

Bookmarks

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
postfix problems with smtp linkdeb Server Operation 13 15th March 2014 17:58
sending e-mail using mail() function linuxuser1 HOWTO-Related Questions 38 21st April 2009 12:20
CLAMAV & amavis updating problem herbie Server Operation 0 15th February 2007 23:03
Postfix+MySQL Problem jasutton Installation/Configuration 1 15th June 2006 16:06
2.1 and 2.2 have the same db structure? Problem after upgrading... ddelbia Installation/Configuration 4 4th April 2006 17:36


All times are GMT +2. The time now is 08:16.


Powered by vBulletin® Version 3.8.7
Copyright ©2000 - 2014, vBulletin Solutions, Inc.